Package com.logicaldoc.core.searchengine

# Class LanguageProcessor

java.lang.Object
org.apache.solr.update.processor.UpdateRequestProcessor
com.logicaldoc.core.searchengine.LanguageProcessor

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`

public class LanguageProcessor extends org.apache.solr.update.processor.UpdateRequestProcessor
Processor that takes care to store the language field of an incoming hit into a thread local variable. This information will be used at analisys time.

Since:
  6.5
Author:
  Marco Meschieri - LogicalDOC

## Constructor Summary

Constructors
Constructor
Description
`LanguageProcessor(org.apache.solr.update.processor.UpdateRequestProcessor next)`

## Method Summary

Modifier and Type
Method
Description
`void`
`processAdd(org.apache.solr.update.AddUpdateCommand cmd)`

### Methods inherited from class org.apache.solr.update.processor.UpdateRequestProcessor

`close, finish, processCommit, processDelete, processMergeIndexes, processRollback`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LanguageProcessor

public LanguageProcessor(org.apache.solr.update.processor.UpdateRequestProcessor next)

## Method Details

### processAdd

public void processAdd(org.apache.solr.update.AddUpdateCommand cmd) throws IOException

Overrides:
  `processAdd` in class `org.apache.solr.update.processor.UpdateRequestProcessor`
Throws:
  `IOException`